Virtual networks

Attach service

POST/v1/networking/virtual-networks/{id}/attachments

Attaches a service to the network on one of its segments.

Autorisatie

  • Authorizationstringheaderverplicht

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Vereiste toestemming: organization.baremetal.networking

Padparameters

  • idstring<uuid>verplicht

Headers

  • Idempotency-Keystring

    Grenzen:length <= 200

Body

application/json
  • serviceIdstring<uuid>
  • segmentIdstring<uuid>verplicht
  • isNativeboolean

Antwoord

202 · application/json

Accepted

  • successbooleanverplicht

    Toegestane waarden:true

  • dataobject | nullverplicht